require File.expand_path("../../elements/text_field",__FILE__)
require File.expand_path("../../elements/button",__FILE__)
require File.expand_path("../../elements/link",__FILE__)
require File.expand_path("../../elements/select_list",__FILE__)
require File.expand_path("../../elements/radio",__FILE__)
require File.expand_path("../../elements/checkbox",__FILE__)
require File.expand_path("../../elements/alert",__FILE__)
require File.expand_path("../../elements/frame",__FILE__)
require File.expand_path("../../elements/span",__FILE__)
require File.expand_path("../../elements/div",__FILE__)
require File.expand_path("../../elements/table",__FILE__)


#
#generate element
#
module Magnesium
  class Factory
    def self.creator(element)
      if element == 'textField'
        return TextField.new
      elsif element == 'button'
        return Button.new
      elsif element == 'link'
        return Link.new
      elsif element == 'selectList'
        return SelectList.new
      elsif element == 'radio'
        return Radio.new
      elsif element == 'checkBox'
        return CheckBox.new
      elsif element == 'frame'
        return Frame.new
      elsif element == 'div'
        return Div.new
      elsif element == 'span'
        return Span.new
      elsif element == 'table'
        return Table.new
      end
    end
  end
end
