# encoding: utf-8
require 'watir-webdriver'

require File.expand_path("../magnesium/version",__FILE__)

#
# Usage 1: automatic test
#
#integrate testlink to run automatically
require File.expand_path("../magnesium/support/config",__FILE__)
require File.expand_path("../magnesium/class/testcase",__FILE__)#for simple requirement


#
# Usage 2: semiautomatic test(API)
#
#require 'watir-webdriver'
#(1)send email
#   fun: a)sendMail("owa.hold.founder.com","test","This is a test e-mail message.","zhou_meichen@founder.com.cn","sun_shaohua@founder.com.cn")
require File.expand_path("../magnesium/extensions/mail",__FILE__)


#(2)ftp upload and download
#   fun: a)get_login_info("172.29.135.145","user","pwd")
#        b)exec_command("ls") --command
#        c)upload_file("E:/test.xml","/var/www/testlink/")
#        d)download_file("E:/","/var/www/testlink/test.xml")
#        e)upload_folder("E:/test","/var/www/")
#        f)download_folder("E:/","/var/www/test")
#        g)download_file_to_memory("/var/www/test.xml")
require File.expand_path("../magnesium/extensions/ssh",__FILE__)


#(3)http get and post
#   fun: a)file = http_get_xml("http://**/**")
#        b)http_post_xml("url","test.xml")
require File.expand_path("../magnesium/extensions/http",__FILE__)


#(4)screenshot
#   fun: a)screenshot(browser,"path/")
#require File.expand_path("../magnesium/extensions/screenshot",__FILE__)


#(5)result feedback to testlink
#   fun: a)feedback("spi",1,"magnesium","p","notes") --"p" or "f"
require File.expand_path("../magnesium/extensions/feedback",__FILE__)


#(6)xml
#    fun: a)file = openXML("path/test.xml")
#         b)new_document(file)
#         c)closeXML(file)
#         d)modify_attributes("path/test.xml","config/browser","attribute","value")
require File.expand_path("../magnesium/fun/xml",__FILE__)

module Magnesium
  puts 'M: Hello everyone, my name is magnesium, but you can call me little m. '
  puts 'M: Now, I will help you to do Automation. '
  puts 'M: Sincerely hope to have a fantastic journey all together.'
  puts '............................................................'
end
