# encoding: utf-8
require 'watir-webdriver'
require File.expand_path("../span", __FILE__)
require File.expand_path("../div", __FILE__)
require File.expand_path("../table", __FILE__)
#require File.expand_path("../../support/error", __FILE__)
#require File.expand_path("../../support/config", __FILE__)

module Magnesium
  class Frame
    attr_accessor :box
    attr_accessor :browser

    def self.dealframe(browser,locate,value)
      begin
        if locate == 'id'
          return browser.frame(:id => value.to_s)
        elsif locate == 'name'
          return browser.frame(:name => value.to_s)
        elsif locate == 'index'
          return browser.frame(:index => value.to_i)
        else
          #nonfun
          puts '...'
        end
      #rescue
      #  error
        #ensure
      end
    end

    def element(locate,value)
      begin
        if locate == 'id'
          @e = @browser.frame(:id => value.to_s)
        elsif locate == 'name'
        @e = @browser.frame(:name => value.to_s)
        elsif locate == 'index'
          @e = @browser.frame(:index => value.to_s)
        else
       #   nonfun
          puts '...'
        end
#      rescue
#        error
        #ensure
      end
    end

    def execute(action,data)
      begin
        if action == 'send_keys'
          if Config.config["wait"]["isstart"] == "true"
            return @e.when_present(Config.config["wait"]["value"].to_i).send_keys data.to_s
        elsif Config.config["wait"]["isstart"] == "false"
            return @e.send_keys data.to_s
          else
#            error
            puts '...'
          end
        elsif action == 'exists'
          if Config.config["wait"]["isstart"] == "true"
            return @e.when_present(Config.config["wait"]["value"].to_i).exists?
          elsif Config.config["wait"]["isstart"] == "false"
            return @e.exists?
          else
            #error
            puts '...'
          end
        elsif action == 'wait_until_present'
          return @e.wait_until_present
        elsif action == 'wait_while_present'
          return @e.wait_while_present
        else
          #error
          puts '...'
          #puts 'M: I am sorry about the error.'
        end
#      rescue
#        error
        #ensure
      end
    end
=begin
    def setbrowser(browser)
      @browser = browser
    end

    def getbrowser()
      return @browser
    end

    def setbox(box)
      @box = box
    end

    def getbox()
      return @box
    end
=end

    def generate()
      unless @box.empty?
        @box.collect do |f|
          if f["name"] == 'frame'
            @browser = Frame.dealframe(@browser,f["locate",],f["value"])
          elsif f["name"] == 'div'
            @browser = Div.dealdiv(@browser,f["locate"],f["value"])
          elsif f["name"] == 'span'
            @browser = Span.dealspan(@browser,f["locate"],f["value"])
          elsif f["name"] == 'table'
            @browser = Table.dealtable(@browser,f["locate"],f["value"])
          else
#            nonfun
            puts '...'
          end
        end
      end
    end
  end
end
