# encoding: utf-8
require 'watir-webdriver'
require File.expand_path("../frame", __FILE__)
require File.expand_path("../div", __FILE__)
require File.expand_path("../span", __FILE__)
require File.expand_path("../table", __FILE__)
#require File.expand_path("../../support/error", __FILE__)
#require File.expand_path("../../support/config",__FILE__)

module Magnesium
  class Link
    attr_accessor :box
    attr_accessor :browser

    def element(locate,value)
      begin
        if locate == 'id'
          @e = @browser.link(:id => value.to_s)
        elsif locate == 'name'
          @e = @browser.link(:name => value.to_s)
        elsif locate == 'index'
          @e = @browser.link(:index => value.to_i)
        elsif locate == 'text'
          @e = @browser.link(:text => value.to_s)
        else
#          nonfun
          puts 'M: I need time to grow up.'
        end
      #rescue
      #  error
        #ensure
      end
    end

    def execute(action,data)
      begin
        if action == 'click'
          if Config.config["wait"]["isstart"] == "true"
            return @e.when_present(Config.config["wait"]["value"].to_i).click
          elsif Config.config["wait"]["isstart"] == "false"
            return @e.click
          else
#            error
            puts '...'
          end
        elsif action == 'exists'
          if Config.config["wait"]["isstart"] == "true"
            return @e.when_present(Config.config["wait"]["value"].to_i).exists?
          elsif Config.config["wait"]["isstart"] == "false"
            return @e.exists?
          else
            #error
            puts '...'
          end
        elsif action == 'wait_until_present'
          return @e.wait_until_present
        elsif action == 'wait_while_present'
          return @e.wait_while_present
        else
          #nonfun
          puts 'M: I need time to grow up.'
        end
      #rescue
      #  error
        #ensure
      end
    end
=begin
    def setbox(box)
      @box = box
    end

    def getbox()
      return @box
    end


    def setbrowser(browser)
      @browser = browser
    end

    def getbrowser()
      return @browser
    end
=end
    def generate()
      unless @box.empty?
        @box.collect do |f|
          if f["name"] == 'frame'
            @browser = Frame.dealframe(@browser,f["locate",],f["value"])
          elsif f["name"] == 'div'
            @browser = Div.dealdiv(@browser,f["locate"],f["value"])
          elsif f["name"] == 'span'
            @browser = Span.dealspan(@browser,f["locate"],f["value"])
          elsif f["name"] == 'table'
            @browser = Table.dealtable(@browser,f["locate"],f["value"])
          else
       #     nonfun
            puts '...'
          end
        end
      end
    end
  end
end
