require 'open-uri'
require 'net/http'
require 'net/https'
require File.expand_path("../../support/config",__FILE__)
require 'rexml/document'
include REXML

module Magnesium
  class Http
    attr_accessor :url
    attr_accessor :filepath

    def self.get_xml
      begin
        uri = URI.parse(@url)
        req = Net::HTTP::Get.new(uri.path)

        req.content_type = 'text/xml'

        http = Net::HTTP.new(uri.host,uri.port)

        request = http.start {|h| h.request(req)}
        #return xml file
        return request.read_body
      rescue
        error
      end
    end

    def self.post_xml
      begin
        file = File.read(@filepath)

        uri = URI.parse(@url)
        req = Net::HTTP::Post.new(uri.path)

        req.body = file
        req.content_type = 'text/xml'

        http = Net::HTTP.new(uri.host,uri.port)

        http.start{|h| h.request(req)}
      rescue
        error
      end
    end
  end
end
