#require File.expand_path("../../support/config",__FILE__)
require 'net/smtp'

module Magnesium
  class Mail
    attr_accessor :server
    attr_accessor :subject
    attr_accessor :msg
    attr_accessor :from
    attr_accessor :to

    def self.send #(server,subject,msg,from,to)
      message = <<MESSAGE_END
From: <#{@from}>
To: <#{@to}>
Subject: #{@subject}

#{@msg}
MESSAGE_END

      Net::SMTP.start('#{@server}') do |smtp|
        smtp.send_message message, '#{@from}', '#{@to}'
      end
    end
  end
end
