require 'rufus/scheduler'

module Magnesium
  class scheduler
    attr_accessor :period
    attr_accessor :execute

    def self.every #(period,execute)
      scheduler.every '#{@period}' do
        @execute
      end
    end

    def self.in #(period,execute)
      scheduler.in '#{@period}' do
        @execute
      end
    end

    def self.at #(period,execute)
      scheduler.at '#{@period}' do
        @execute
      end
    end

    def self.cron #(period,execute)
      scheduler.cron '#{@period}' do
        @execute
      end
    end
  end
end
